Subject: bug#44397: 28.0.50; tab-bar-mode: tab-switcher creates a new tab every time

From: Juri Linkov <[email-masked]>
Date: Tue, 03 Nov 2020 21:23:44 +0200

merge 44397 38624
thanks

>> `ibuffer' is a good analogy: it creates the special *Ibuffer* buffer,
>> and the same way `tab-switcher' creates the special *Tabs* tab.
>
> The problem is `tab-switcher' never reuses the *Tabs* tab and always
> create a new one.  After N `tab-switcher' calls, there are
> N additional tabs created if user has not deleted anyone.
>
>> I agree that the docstring should say that it creates a new tab,
>> even though `ibuffer' doesn't say that it creates a new buffer.
>
> Looks like the behavisor is expected?

It seems what you need is not tab-switcher, but the exact analog of
`ibuffer' to manage tabs the same way as `ibuffer' manages buffers.

Please see https://debbugs.gnu.org/38680 and https://debbugs.gnu.org/38624
where such `tab-list' is being developed.